hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tsz Wo Nicholas Sze (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10101) Update guava dependency to the latest version
Date Tue, 14 Mar 2017 01:08:42 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10101?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15923348#comment-15923348
] 

Tsz Wo Nicholas Sze commented on HADOOP-10101:
----------------------------------------------

> I think it is high time we bump up the dependency however we should look to hiding it
too i.e. shading it as needed so that downstream users can use whatever version of guava they
want to use. 

I agree with [~hitesh] that we should shade guava.  Then, this JIRA is no longer an incompatible
change.

> Update guava dependency to the latest version
> ---------------------------------------------
>
>                 Key: HADOOP-10101
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10101
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 2.2.0, 2.6.0
>            Reporter: Rakesh R
>            Assignee: Vinayakumar B
>              Labels: BB2015-05-TBR
>         Attachments: HADOOP-10101-002.patch, HADOOP-10101-004.patch, HADOOP-10101-005.patch,
HADOOP-10101-006.patch, HADOOP-10101-007.patch, HADOOP-10101-008.patch, HADOOP-10101-009.patch,
HADOOP-10101-009.patch, HADOOP-10101-010.patch, HADOOP-10101-010.patch, HADOOP-10101-011.patch,
HADOOP-10101.patch, HADOOP-10101.patch
>
>
> The existing guava version is 11.0.2 which is quite old. This 



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message